<p align="center"><img src="determined-logo.png" alt="Determined AI Logo"></p>

# Determined: Deep Learning Training Platform

Determined is an open-source deep learning training platform that makes building
models fast and easy. Determined enables you to:

- **Train models faster** using state-of-the-art distributed training, without
  changing your model code
- **Automatically find high-quality models** with advanced hyperparameter tuning
  from the creators of Hyperband
- **Get more from your GPUs** with smart scheduling and cut cloud GPU costs by
  seamlessly using preemptible instances
- **Track and reproduce your work** with experiment tracking that works
  out-of-the-box, covering code versions, metrics, checkpoints, and
  hyperparameters

Determined integrates these features into an easy-to-use, high-performance deep
learning environment — which means you can spend your time building models
instead of managing infrastructure.

To use Determined, you can continue using popular DL frameworks such as
TensorFlow and PyTorch; you just need to update your model code to integrate
with the Determined API.

## Installation

* [Installation Guide](https://docs.determined.ai/latest/how-to/install-main.html)

### Try Now on AWS

[![Try Now](https://s3.amazonaws.com/cloudformation-examples/cloudformation-launch-stack.png)](https://console.aws.amazon.com/cloudformation/home?region=us-west-2#/stacks/create/review?templateURL=https://determined-ai-public.s3-us-west-2.amazonaws.com/simple.yaml)

## Next Steps

For a brief introduction to using Determined, start with the
[Quick Start Guide](https://docs.determined.ai/latest/tutorials/quick-start.html).

To use an existing deep learning model with Determined, follow the
tutorial for your preferred deep learning framework:

* [PyTorch MNIST Tutorial](https://docs.determined.ai/latest/tutorials/pytorch-mnist-tutorial.html)
* [TensorFlow Keras MNIST Tutorial](https://docs.determined.ai/latest/tutorials/tf-mnist-tutorial.html)

## Documentation

The documentation for the latest version of Determined can always be found
[here](https://docs.determined.ai).

## Community

If you need help, want to file a bug report, or just want to keep up-to-date
with the latest news about Determined, please join the Determined community!

* [Slack](https://determined-community.slack.com) is the best place to
  ask questions about Determined and get support. [Click here to join our Slack](
  https://join.slack.com/t/determined-community/shared_invite/zt-cnj7802v-KcVbaUrIzQOwmkmY7gP0Ew).
* You can also join the [community mailing list](https://groups.google.com/a/determined.ai/forum/#!forum/community)
  to ask questions about the project and receive announcements.
* To report a bug, [file an issue](https://github.com/determined-ai/determined/issues) on GitHub.
* To report a security issue, email [`security@determined.ai`](mailto:security@determined.ai).

## Contributing

[Contributor's Guide](CONTRIBUTING.md)

## License

[Apache V2](LICENSE)
