# Determined Examples
| Domain | Example | Dataset | Framework |
|:------:|:-----:|:-------:|:------------------:|
| Tutorials | <p>[mnist_pytorch](tutorials/mnist_pytorch)<br>[fashion_mnist_tf_keras](tutorials/fashion_mnist_tf_keras)</p> | <p>MNIST<br>Fashion MNIST</p> | <p>PyTorch<br>TensorFlow (tf.keras)</p> |
| Computer Vision | <p>[cifar10_pytorch](computer_vision/cifar10_pytorch)<br>[fasterrcnn_coco_pytorch](computer_vision/fasterrcnn_coco_pytorch)<br>[mmdetection](computer_vision/mmdetection_pytorch)<br>[mnist_estimator](computer_vision/mnist_estimator)<br>[mnist_tf_layers](computer_vision/mnist_tf_layers)<br>[cifar10_tf_keras](computer_vision/cifar10_tf_keras)<br>[iris_tf_keras](computer_vision/iris_tf_keras)<br>[unets_tf_keras](computer_vision/unets_tf_keras)</p> | <p>CIFAR-10<br>Penn-Fudan Dataset<br>COCO<br>MNIST<br>MNIST<br>CIFAR-10<br>Iris Dataset<br>Oxford-IIIT Pet Dataset</p> | <p>PyTorch<br>PyTorch<br>PyTorch<br>TensorFlow (Estimator API)<br>TensorFlow (tf.layers via Estimator API)<br>TensorFlow (tf.keras)<br>TensorFlow (tf.keras)<br>TensorFlow (tf.keras)</p> |
| Natural Language Processing (NLP) | <p>[bert_squad_pytorch](nlp/bert_squad_pytorch)<br>[bert_glue_pytorch](nlp/bert_glue_pytorch)</p> | <p>SQuAD<br>GLUE</p> | <p>PyTorch<br>PyTorch</p> |
| HP Search Benchmarks |  <p>[darts_cifar10_pytorch](hp_search_benchmarks/darts_cifar10_pytorch)<br>[darts_penntreebank_pytorch](hp_search_benchmarks/darts_penntreebank_pytorch)</p> |  <p>CIFAR-10<br>Penn Treebank Dataset</p> |  <p>PyTorch<br>PyTorch</p> |
| Neural Architecture Search (NAS)  | [gaea_pytorch](nas/gaea_pytorch) | DARTS | PyTorch |
| Meta Learning | [protonet_omniglot_pytorch](meta_learning/protonet_omniglot_pytorch) | Omniglot | PyTorch |
| Generative Adversarial Networks (GAN) | <p>[dc_gan_tf_keras](gan/dcgan_tf_keras)<br>[gan_mnist_pytorch](gan/gan_mnist_pytorch)</p> | <p>MNIST<br>MNIST</p> | <p>Tensorflow (tf.keras)<br>PyTorch</p> |
| Decision Trees  | [gbt_titanic_estimator](decision_trees/gbt_titanic_estimator) | Titanic | TensorFlow (Estimator API) |
| Data Layer | <p>[data_layer_mnist_estimator](data_layer/data_layer_mnist_estimator)<br>[data_layer_mnist_tf_keras](data_layer/data_layer_mnist_tf_keras)</p> | <p>MNIST<br>MNIST</p> | <p>TensorFlow (Estimator API)<br>TensorFlow (tf.keras)</p> |
